ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/branches/development/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 397 by gezelter, Fri Mar 4 15:29:03 2005 UTC vs.
Revision 502 by gezelter, Thu Apr 14 21:41:56 2005 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT PERLINTERP PERL_SHEBANG AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI CXXCPP USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 789 | Line 789 | ac_cv_env_CPP_value=$CPP
789   ac_env_CPP_value=$CPP
790   ac_cv_env_CPP_set=${CPP+set}
791   ac_cv_env_CPP_value=$CPP
792 + ac_env_CXXCPP_set=${CXXCPP+set}
793 + ac_env_CXXCPP_value=$CXXCPP
794 + ac_cv_env_CXXCPP_set=${CXXCPP+set}
795 + ac_cv_env_CXXCPP_value=$CXXCPP
796  
797   #
798   # Report the --help message.
# Line 875 | Line 879 | Optional Packages:
879   Optional Packages:
880    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
881    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
882 +  --with-perl-shebang     override what perl thinks is the way for the kernel
883 +                          to start it (seldom needed)
884    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
885 +  --with-cgal-makefile=FILE  CGAL makefile that should be used
886  
887   Some influential environment variables:
888    CC          C compiler command
# Line 889 | Line 896 | Some influential environment variables:
896    F90         Fortran 90 compiler command
897    F90FLAGS    Fortran 90 compiler flags
898    CPP         C preprocessor
899 +  CXXCPP      C++ preprocessor
900  
901   Use these variables to override the choices made by `configure' or to help
902   it to find libraries and programs with nonstandard names/locations.
# Line 1874 | Line 1882 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1882  
1883  
1884  
1885 + #
1886 + #
1887 + #
1888  
1889  
1890  
# Line 3539 | Line 3550 | F90FLAGS="$F90FLAGS $ac_verb"
3550   ac_save_F90FLAGS=$F90FLAGS
3551   F90FLAGS="$F90FLAGS $ac_verb"
3552  
3553 < (eval echo $as_me:3542: \"$ac_link\") >&5
3553 > (eval echo $as_me:3553: \"$ac_link\") >&5
3554   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3555   echo "$ac_f90_v_output" >&5
3556   F90FLAGS=$ac_save_F90FLAGS
# Line 3616 | Line 3627 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3627   ac_save_F90FLAGS=$F90FLAGS
3628   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3629  
3630 < (eval echo $as_me:3619: \"$ac_link\") >&5
3630 > (eval echo $as_me:3630: \"$ac_link\") >&5
3631   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3632   echo "$ac_f90_v_output" >&5
3633   F90FLAGS=$ac_save_F90FLAGS
# Line 7151 | Line 7162 | _ACEOF
7162   cat >>confdefs.h <<\_ACEOF
7163   #define YYTEXT_POINTER 1
7164   _ACEOF
7165 +
7166 + fi
7167  
7168   fi
7169 +
7170 +   # Extract the first word of "perl", so it can be a program name with args.
7171 + set dummy perl; ac_word=$2
7172 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7173 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7174 + if test "${ac_cv_path_PERLINTERP+set}" = set; then
7175 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7176 + else
7177 +  case $PERLINTERP in
7178 +  [\\/]* | ?:[\\/]*)
7179 +  ac_cv_path_PERLINTERP="$PERLINTERP" # Let the user override the test with a path.
7180 +  ;;
7181 +  *)
7182 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7183 + for as_dir in $PATH
7184 + do
7185 +  IFS=$as_save_IFS
7186 +  test -z "$as_dir" && as_dir=.
7187 +  for ac_exec_ext in '' $ac_executable_extensions; do
7188 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7189 +    ac_cv_path_PERLINTERP="$as_dir/$ac_word$ac_exec_ext"
7190 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7191 +    break 2
7192 +  fi
7193 + done
7194 + done
7195 +
7196 +  test -z "$ac_cv_path_PERLINTERP" && ac_cv_path_PERLINTERP="perl"
7197 +  ;;
7198 + esac
7199 + fi
7200 + PERLINTERP=$ac_cv_path_PERLINTERP
7201 +
7202 + if test -n "$PERLINTERP"; then
7203 +  echo "$as_me:$LINENO: result: $PERLINTERP" >&5
7204 + echo "${ECHO_T}$PERLINTERP" >&6
7205 + else
7206 +  echo "$as_me:$LINENO: result: no" >&5
7207 + echo "${ECHO_T}no" >&6
7208 + fi
7209 +
7210 +   ac_cv_path_perlinterp="$PERLINTERP"
7211 +   _sHpB='#!'
7212 +
7213 +
7214 + # Check whether --with-perl-shebang or --without-perl-shebang was given.
7215 + if test "${with_perl_shebang+set}" = set; then
7216 +  withval="$with_perl_shebang"
7217 +  opt_perl_shebang="$withval"
7218 + else
7219 +                opt_perl_shebang="not_set"
7220 + fi;
7221 +   echo "$as_me:$LINENO: checking whether explicit instead of detected sharpbang is to be used" >&5
7222 + echo $ECHO_N "checking whether explicit instead of detected sharpbang is to be used... $ECHO_C" >&6
7223 + if test "${ax_cv_opt_perl_shebang+set}" = set; then
7224 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7225 + else
7226 +   case "$opt_perl_shebang" in
7227 +                      not_set  ) ax_cv_opt_perl_shebang=''
7228 +                               ;;
7229 +                         *     )
7230 +        ax_cv_opt_perl_shebang=`echo "$opt_perl_shebang" | sed -e's|^#!\s*\(.*\)$|\1|'`
7231 +                    esac
7232 +
7233 + fi
7234 + echo "$as_me:$LINENO: result: $ax_cv_opt_perl_shebang" >&5
7235 + echo "${ECHO_T}$ax_cv_opt_perl_shebang" >&6
7236 +   if test "A$ax_cv_opt_perl_shebang" != "A"
7237 +     then
7238 +       ac_cv_sys_kernshrpbang_perl="$ax_cv_opt_perl_shebang"
7239 +       PERL_SHEBANG="$ac_cv_sys_kernshrpbang_perl"
7240 +              { echo "$as_me:$LINENO: OK - PERL_SHEBANG is $_sHpB$PERL_SHEBANG." >&5
7241 + echo "$as_me: OK - PERL_SHEBANG is $_sHpB$PERL_SHEBANG." >&6;}
7242 +
7243 + # Automatic detection of sharpbang formula starts here
7244 +     else
7245 +   _somian_shbangperl=`$PERLINTERP -V:startperl`
7246 +   negclass="[^']"; # must leave this comment:  m4 will remove the outer brackets for us, heheh
7247 +   echo "$as_me:$LINENO: checking for kernel sharpbang invocation to start perl" >&5
7248 + echo $ECHO_N "checking for kernel sharpbang invocation to start perl... $ECHO_C" >&6
7249 + if test "${ac_cv_sys_kernshrpbang_perl+set}" = set; then
7250 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7251 + else
7252 +  _somian_kspb_perl=`echo "$_somian_shbangperl" | sed -ne"s|.*='\($negclass*\)';$|\1|p"`
7253 +        if test "x$_somian_kspb_perl" == x
7254 +          then _somian_ksbp_warn_empty='durnit'
7255 +          else
7256 +          case "A$_somian_kspb_perl" in
7257 +                 A#!*perl* )
7258 +           ac_cv_sys_kernshrpbang_perl=`echo "$_somian_kspb_perl" | sed -e's|#!\(.*\)$|\1|'`
7259 +                        ;;
7260 +                     A*    )  _somian_ksbp_warn_defau='trouble'
7261 +                              ac_cv_sys_kernshrpbang_perl="$PERLINTERP"
7262 +          esac
7263 +        fi
7264  
7265   fi
7266 + echo "$as_me:$LINENO: result: $ac_cv_sys_kernshrpbang_perl" >&5
7267 + echo "${ECHO_T}$ac_cv_sys_kernshrpbang_perl" >&6
7268 + # The above prints Checking ... result message to user.
7269 +   PERL_SHEBANG="$ac_cv_sys_kernshrpbang_perl"
7270 +
7271 +    if test A${_somian_ksbp_warn_empty+set} == Aset
7272 +      then   { echo "$as_me:$LINENO: WARNING: In last check, doing $PERLINTERP -V:startperl yielded empty result! That should not happen." >&5
7273 + echo "$as_me: WARNING: In last check, doing $PERLINTERP -V:startperl yielded empty result! That should not happen." >&2;}
7274 +    fi
7275 + # Inform user after printing result value
7276 +    if test A${_somian_ksbp_warn_defau+set} == Aset
7277 +      then { echo "$as_me:$LINENO: Maybe Not good -" >&5
7278 + echo "$as_me: Maybe Not good -" >&6;}
7279 +           { echo "$as_me:$LINENO: WARNING: In last check perl's Config query did not work so we bunted: $_sHpB$PERLINTERP" >&5
7280 + echo "$as_me: WARNING: In last check perl's Config query did not work so we bunted: $_sHpB$PERLINTERP" >&2;}
7281 +      else { echo "$as_me:$LINENO: OK Good result - " >&5
7282 + echo "$as_me: OK Good result - " >&6;}
7283 +           { echo "$as_me:$LINENO: In last check we got a proper-looking answer from perl's Config: $_somian_shbangperl" >&5
7284 + echo "$as_me: In last check we got a proper-looking answer from perl's Config: $_somian_shbangperl" >&6;}
7285 +    fi
7286 +  fi
7287 +
7288   # Extract the first word of "ar", so it can be a program name with args.
7289   set dummy ar; ac_word=$2
7290   echo "$as_me:$LINENO: checking for $ac_word" >&5
# Line 7812 | Line 7942 | echo "${ECHO_T}found $MPI_F90_LIB" >&6
7942   fi
7943   echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
7944   echo "${ECHO_T}found $MPI_F90_LIB" >&6
7945 +
7946 +
7947 + fi
7948 +
7949 +
7950 +
7951 +
7952 + USE_CGAL=no
7953 + cgal_makefile=auto
7954 +
7955 + # Check whether --with-cgal-makefile or --without-cgal-makefile was given.
7956 + if test "${with_cgal_makefile+set}" = set; then
7957 +  withval="$with_cgal_makefile"
7958 +  cgal_makefile="$withval"
7959 + fi;
7960 +
7961 + if test "x$cgal_makefile" != xno; then
7962 +
7963 +  if test "x$cgal_makefile" = xauto -a "x$CGAL_MAKEFILE" != x; then
7964 +    cgal_makefile="$CGAL_MAKEFILE"
7965 +  fi
7966 +
7967 +  echo "cgal_makefile      $cgal_makefile"
7968 +
7969 +  if test -f "$cgal_makefile"; then
7970 +
7971 +    cat >config.tmp.Makefile <<EOF
7972 + include $cgal_makefile
7973 + default:
7974 +        @echo CGAL_OS_COMPILER=\"\${CGAL_OS_COMPILER}\" >config.tmp.cgalvariables
7975 +        @echo CGAL_INCLDIR=\"\${CGAL_INCL_DIR}\" >>config.tmp.cgalvariables
7976 +        @echo CGAL_INCLCONFDIR=\"\${CGAL_INCL_CONF_DIR}\" >>config.tmp.cgalvariables
7977 +        @echo CGAL_LIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
7978 +        @echo CGAL_RLIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
7979 +        @echo CGAL_CXXFLAGS=\"\${CGAL_CXXFLAGS}\" >>config.tmp.cgalvariables
7980 +        @echo GMP_INCLDIR=\"\${GMP_INCL_DIR}\" >>config.tmp.cgalvariables
7981 +        @echo GMP_LIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
7982 +        @echo GMP_RLIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
7983 +        @echo LEDA_INCLDIR=\"\${LEDA_INCL_DIR}\" >>config.tmp.cgalvariables
7984 +        @echo LEDA_LIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
7985 +        @echo LEDA_RLIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
7986 + EOF
7987 +
7988 +    make -s -f config.tmp.Makefile
7989 +    . config.tmp.cgalvariables
7990 +
7991 +    rm -f config.tmp.Makefile config.tmp.cgalvariables
7992 +
7993 +    if test "x$CGAL_INCLDIR" = "x"; then
7994 +      CGAL_INCLDIR=""
7995 +    fi
7996 +
7997 +    if test "x$CGAL_LIBDIR" = "x"; then
7998 +      CGAL_LIBDIR=""
7999 +    fi
8000 +
8001 +    if test "x$CGAL_RLIBDIR" = "x"; then
8002 +      CGAL_RLIBDIR=""
8003 +    fi
8004 +
8005 +    if test "x$LEDA_INCLDIR" = "x"; then
8006 +      LEDA_INCLDIR=""
8007 +    fi
8008 +
8009 +    if test "x$LEDA_LIBDIR" = "x"; then
8010 +      LEDA_LIBDIR=""
8011 +    fi
8012 +
8013 +    if test "x$LEDA_RLIBDIR" = "x"; then
8014 +      LEDA_RLIBDIR=""
8015 +    fi
8016 +
8017 +    if test "x$GMP_INCLDIR" = "x"; then
8018 +      GMP_INCLDIR=""
8019 +    fi
8020 +
8021 +    if test "x$GMP_LIBDIR" = "x"; then
8022 +      GMP_LIBDIR=""
8023 +    fi
8024 +
8025 +    if test "x$GMP_RLIBDIR" = "x"; then
8026 +      GMP_RLIBDIR=""
8027 +    fi
8028 +
8029 +    echo "CGAL_OS_COMPILER   $CGAL_OS_COMPILER"
8030 +    echo "CGAL_INCLDIR       $CGAL_INCLDIR"
8031 +    echo "CGAL_INCLCONFDIR   $CGAL_INCLCONFDIR"
8032 +    echo "CGAL_LIBDIR        $CGAL_LIBDIR"
8033 +    echo "CGAL_CXXFLAGS      $CGAL_CXXFLAGS"
8034 +    echo "LEDA_INCLDIR       $LEDA_INCLDIR"
8035 +    echo "LEDA_LIBDIR        $LEDA_LIBDIR"
8036 +    echo "GMP_INCLDIR        $GMP_INCLDIR"
8037 +    echo "GMP_LIBDIR         $GMP_LIBDIR"
8038 +
8039 +    ac_ext=cc
8040 + ac_cpp='$CXXCPP $CPPFLAGS'
8041 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8042 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8043 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8044 +
8045 +    save_CXXFLAGS="$CXXFLAGS"
8046 +    CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
8047 +
8048 + ac_ext=cc
8049 + ac_cpp='$CXXCPP $CPPFLAGS'
8050 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8051 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8052 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8053 + echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
8054 + echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
8055 + if test -z "$CXXCPP"; then
8056 +  if test "${ac_cv_prog_CXXCPP+set}" = set; then
8057 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8058 + else
8059 +      # Double quotes because CXXCPP needs to be expanded
8060 +    for CXXCPP in "$CXX -E" "/lib/cpp"
8061 +    do
8062 +      ac_preproc_ok=false
8063 + for ac_cxx_preproc_warn_flag in '' yes
8064 + do
8065 +  # Use a header file that comes with gcc, so configuring glibc
8066 +  # with a fresh cross-compiler works.
8067 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8068 +  # <limits.h> exists even on freestanding compilers.
8069 +  # On the NeXT, cc -E runs the code through the compiler's parser,
8070 +  # not just through cpp. "Syntax error" is here to catch this case.
8071 +  cat >conftest.$ac_ext <<_ACEOF
8072 + /* confdefs.h.  */
8073 + _ACEOF
8074 + cat confdefs.h >>conftest.$ac_ext
8075 + cat >>conftest.$ac_ext <<_ACEOF
8076 + /* end confdefs.h.  */
8077 + #ifdef __STDC__
8078 + # include <limits.h>
8079 + #else
8080 + # include <assert.h>
8081 + #endif
8082 +                     Syntax error
8083 + _ACEOF
8084 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8085 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8086 +  ac_status=$?
8087 +  grep -v '^ *+' conftest.er1 >conftest.err
8088 +  rm -f conftest.er1
8089 +  cat conftest.err >&5
8090 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8091 +  (exit $ac_status); } >/dev/null; then
8092 +  if test -s conftest.err; then
8093 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8094 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8095 +  else
8096 +    ac_cpp_err=
8097 +  fi
8098 + else
8099 +  ac_cpp_err=yes
8100 + fi
8101 + if test -z "$ac_cpp_err"; then
8102 +  :
8103 + else
8104 +  echo "$as_me: failed program was:" >&5
8105 + sed 's/^/| /' conftest.$ac_ext >&5
8106 +
8107 +  # Broken: fails on valid input.
8108 + continue
8109 + fi
8110 + rm -f conftest.err conftest.$ac_ext
8111 +
8112 +  # OK, works on sane cases.  Now check whether non-existent headers
8113 +  # can be detected and how.
8114 +  cat >conftest.$ac_ext <<_ACEOF
8115 + /* confdefs.h.  */
8116 + _ACEOF
8117 + cat confdefs.h >>conftest.$ac_ext
8118 + cat >>conftest.$ac_ext <<_ACEOF
8119 + /* end confdefs.h.  */
8120 + #include <ac_nonexistent.h>
8121 + _ACEOF
8122 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8123 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8124 +  ac_status=$?
8125 +  grep -v '^ *+' conftest.er1 >conftest.err
8126 +  rm -f conftest.er1
8127 +  cat conftest.err >&5
8128 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8129 +  (exit $ac_status); } >/dev/null; then
8130 +  if test -s conftest.err; then
8131 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8132 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8133 +  else
8134 +    ac_cpp_err=
8135 +  fi
8136 + else
8137 +  ac_cpp_err=yes
8138 + fi
8139 + if test -z "$ac_cpp_err"; then
8140 +  # Broken: success on invalid input.
8141 + continue
8142 + else
8143 +  echo "$as_me: failed program was:" >&5
8144 + sed 's/^/| /' conftest.$ac_ext >&5
8145 +
8146 +  # Passes both tests.
8147 + ac_preproc_ok=:
8148 + break
8149 + fi
8150 + rm -f conftest.err conftest.$ac_ext
8151 +
8152 + done
8153 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8154 + rm -f conftest.err conftest.$ac_ext
8155 + if $ac_preproc_ok; then
8156 +  break
8157 + fi
8158 +
8159 +    done
8160 +    ac_cv_prog_CXXCPP=$CXXCPP
8161 +
8162 + fi
8163 +  CXXCPP=$ac_cv_prog_CXXCPP
8164 + else
8165 +  ac_cv_prog_CXXCPP=$CXXCPP
8166 + fi
8167 + echo "$as_me:$LINENO: result: $CXXCPP" >&5
8168 + echo "${ECHO_T}$CXXCPP" >&6
8169 + ac_preproc_ok=false
8170 + for ac_cxx_preproc_warn_flag in '' yes
8171 + do
8172 +  # Use a header file that comes with gcc, so configuring glibc
8173 +  # with a fresh cross-compiler works.
8174 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8175 +  # <limits.h> exists even on freestanding compilers.
8176 +  # On the NeXT, cc -E runs the code through the compiler's parser,
8177 +  # not just through cpp. "Syntax error" is here to catch this case.
8178 +  cat >conftest.$ac_ext <<_ACEOF
8179 + /* confdefs.h.  */
8180 + _ACEOF
8181 + cat confdefs.h >>conftest.$ac_ext
8182 + cat >>conftest.$ac_ext <<_ACEOF
8183 + /* end confdefs.h.  */
8184 + #ifdef __STDC__
8185 + # include <limits.h>
8186 + #else
8187 + # include <assert.h>
8188 + #endif
8189 +                     Syntax error
8190 + _ACEOF
8191 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8192 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8193 +  ac_status=$?
8194 +  grep -v '^ *+' conftest.er1 >conftest.err
8195 +  rm -f conftest.er1
8196 +  cat conftest.err >&5
8197 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8198 +  (exit $ac_status); } >/dev/null; then
8199 +  if test -s conftest.err; then
8200 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8201 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8202 +  else
8203 +    ac_cpp_err=
8204 +  fi
8205 + else
8206 +  ac_cpp_err=yes
8207 + fi
8208 + if test -z "$ac_cpp_err"; then
8209 +  :
8210 + else
8211 +  echo "$as_me: failed program was:" >&5
8212 + sed 's/^/| /' conftest.$ac_ext >&5
8213 +
8214 +  # Broken: fails on valid input.
8215 + continue
8216 + fi
8217 + rm -f conftest.err conftest.$ac_ext
8218 +
8219 +  # OK, works on sane cases.  Now check whether non-existent headers
8220 +  # can be detected and how.
8221 +  cat >conftest.$ac_ext <<_ACEOF
8222 + /* confdefs.h.  */
8223 + _ACEOF
8224 + cat confdefs.h >>conftest.$ac_ext
8225 + cat >>conftest.$ac_ext <<_ACEOF
8226 + /* end confdefs.h.  */
8227 + #include <ac_nonexistent.h>
8228 + _ACEOF
8229 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8230 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8231 +  ac_status=$?
8232 +  grep -v '^ *+' conftest.er1 >conftest.err
8233 +  rm -f conftest.er1
8234 +  cat conftest.err >&5
8235 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8236 +  (exit $ac_status); } >/dev/null; then
8237 +  if test -s conftest.err; then
8238 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8239 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8240 +  else
8241 +    ac_cpp_err=
8242 +  fi
8243 + else
8244 +  ac_cpp_err=yes
8245 + fi
8246 + if test -z "$ac_cpp_err"; then
8247 +  # Broken: success on invalid input.
8248 + continue
8249 + else
8250 +  echo "$as_me: failed program was:" >&5
8251 + sed 's/^/| /' conftest.$ac_ext >&5
8252 +
8253 +  # Passes both tests.
8254 + ac_preproc_ok=:
8255 + break
8256 + fi
8257 + rm -f conftest.err conftest.$ac_ext
8258 +
8259 + done
8260 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8261 + rm -f conftest.err conftest.$ac_ext
8262 + if $ac_preproc_ok; then
8263 +  :
8264 + else
8265 +  { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8266 + See \`config.log' for more details." >&5
8267 + echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8268 + See \`config.log' for more details." >&2;}
8269 +   { (exit 1); exit 1; }; }
8270 + fi
8271 +
8272 + ac_ext=cc
8273 + ac_cpp='$CXXCPP $CPPFLAGS'
8274 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8275 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8276 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8277 +
8278 +
8279 + if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8280 +  echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8281 + echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8282 + if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8283 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8284 + fi
8285 + echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8286 + echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8287 + else
8288 +  # Is the header compilable?
8289 + echo "$as_me:$LINENO: checking CGAL/Cartesian.h usability" >&5
8290 + echo $ECHO_N "checking CGAL/Cartesian.h usability... $ECHO_C" >&6
8291 + cat >conftest.$ac_ext <<_ACEOF
8292 + /* confdefs.h.  */
8293 + _ACEOF
8294 + cat confdefs.h >>conftest.$ac_ext
8295 + cat >>conftest.$ac_ext <<_ACEOF
8296 + /* end confdefs.h.  */
8297 + $ac_includes_default
8298 + #include <CGAL/Cartesian.h>
8299 + _ACEOF
8300 + rm -f conftest.$ac_objext
8301 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8302 +  (eval $ac_compile) 2>conftest.er1
8303 +  ac_status=$?
8304 +  grep -v '^ *+' conftest.er1 >conftest.err
8305 +  rm -f conftest.er1
8306 +  cat conftest.err >&5
8307 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8308 +  (exit $ac_status); } &&
8309 +         { ac_try='test -z "$ac_cxx_werror_flag"
8310 +                         || test ! -s conftest.err'
8311 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8312 +  (eval $ac_try) 2>&5
8313 +  ac_status=$?
8314 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8315 +  (exit $ac_status); }; } &&
8316 +         { ac_try='test -s conftest.$ac_objext'
8317 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8318 +  (eval $ac_try) 2>&5
8319 +  ac_status=$?
8320 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8321 +  (exit $ac_status); }; }; then
8322 +  ac_header_compiler=yes
8323 + else
8324 +  echo "$as_me: failed program was:" >&5
8325 + sed 's/^/| /' conftest.$ac_ext >&5
8326 +
8327 + ac_header_compiler=no
8328 + fi
8329 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
8330 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
8331 + echo "${ECHO_T}$ac_header_compiler" >&6
8332 +
8333 + # Is the header present?
8334 + echo "$as_me:$LINENO: checking CGAL/Cartesian.h presence" >&5
8335 + echo $ECHO_N "checking CGAL/Cartesian.h presence... $ECHO_C" >&6
8336 + cat >conftest.$ac_ext <<_ACEOF
8337 + /* confdefs.h.  */
8338 + _ACEOF
8339 + cat confdefs.h >>conftest.$ac_ext
8340 + cat >>conftest.$ac_ext <<_ACEOF
8341 + /* end confdefs.h.  */
8342 + #include <CGAL/Cartesian.h>
8343 + _ACEOF
8344 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8345 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8346 +  ac_status=$?
8347 +  grep -v '^ *+' conftest.er1 >conftest.err
8348 +  rm -f conftest.er1
8349 +  cat conftest.err >&5
8350 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8351 +  (exit $ac_status); } >/dev/null; then
8352 +  if test -s conftest.err; then
8353 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8354 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8355 +  else
8356 +    ac_cpp_err=
8357 +  fi
8358 + else
8359 +  ac_cpp_err=yes
8360 + fi
8361 + if test -z "$ac_cpp_err"; then
8362 +  ac_header_preproc=yes
8363 + else
8364 +  echo "$as_me: failed program was:" >&5
8365 + sed 's/^/| /' conftest.$ac_ext >&5
8366 +
8367 +  ac_header_preproc=no
8368 + fi
8369 + rm -f conftest.err conftest.$ac_ext
8370 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
8371 + echo "${ECHO_T}$ac_header_preproc" >&6
8372 +
8373 + # So?  What about this header?
8374 + case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
8375 +  yes:no: )
8376 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&5
8377 + echo "$as_me: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8378 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&5
8379 + echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&2;}
8380 +    ac_header_preproc=yes
8381 +    ;;
8382 +  no:yes:* )
8383 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&5
8384 + echo "$as_me: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&2;}
8385 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&5
8386 + echo "$as_me: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&2;}
8387 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&5
8388 + echo "$as_me: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&2;}
8389 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&5
8390 + echo "$as_me: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8391 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&5
8392 + echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&2;}
8393 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&5
8394 + echo "$as_me: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&2;}
8395 +    (
8396 +      cat <<\_ASBOX
8397 + ## ------------------------------ ##
8398 + ## Report this to gezelter@nd.edu ##
8399 + ## ------------------------------ ##
8400 + _ASBOX
8401 +    ) |
8402 +      sed "s/^/$as_me: WARNING:     /" >&2
8403 +    ;;
8404 + esac
8405 + echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8406 + echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8407 + if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8408 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8409 + else
8410 +  ac_cv_header_CGAL_Cartesian_h=$ac_header_preproc
8411 + fi
8412 + echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8413 + echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8414 +
8415 + fi
8416 + if test $ac_cv_header_CGAL_Cartesian_h = yes; then
8417 +  cgal=yes
8418 + else
8419 +  cgal=no
8420 + fi
8421 +
8422 +
8423 +    CXXFLAGS="$save_CXXFLAGS"
8424 +
8425 +    if test "x$cgal" = xyes; then
8426 +      echo "$as_me:$LINENO: checking for CGAL version" >&5
8427 + echo $ECHO_N "checking for CGAL version... $ECHO_C" >&6
8428 +      LOCATION=${CGAL_INCLDIR}
8429 +      LOCATION=${LOCATION:-/usr/include}
8430 +      if test -f $LOCATION/CGAL/version.h; then
8431 +        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/version.h | sed 's/[^0-9\.]*//g'`
8432 +      else
8433 +        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/config.h | sed 's/[^0-9\.]*//g'`
8434 +      fi
8435 +      if echo $CGAL_VERSION | grep -q "^[3456789]"; then
8436 +        echo "$as_me:$LINENO: result: ($CGAL_VERSION) yes" >&5
8437 + echo "${ECHO_T}($CGAL_VERSION) yes" >&6
8438 +      else
8439 +        echo "$as_me:$LINENO: result: ($CGAL_VERSION) no" >&5
8440 + echo "${ECHO_T}($CGAL_VERSION) no" >&6
8441 +        cgal=no
8442 +      fi
8443 +    fi
8444  
8445 +    if test "x$cgal" = xyes; then
8446 +      CGAL_LIBS="-lCGAL"
8447 +      echo "$as_me:$LINENO: checking whether CGAL uses LEDA" >&5
8448 + echo $ECHO_N "checking whether CGAL uses LEDA... $ECHO_C" >&6
8449 +      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_LEDA; then
8450 +        CGAL_USES_LEDA=yes
8451 +        echo "$as_me:$LINENO: result: yes" >&5
8452 + echo "${ECHO_T}yes" >&6
8453 +        CGAL_DEFINES="-DCGAL_USE_LEDA -DLEDA_PREFIX"
8454 +      else
8455 +        echo "$as_me:$LINENO: result: no" >&5
8456 + echo "${ECHO_T}no" >&6
8457 +        CGAL_USES_LEDA=no
8458 +      fi
8459  
8460 +      echo "$as_me:$LINENO: checking whether CGAL uses GMP" >&5
8461 + echo $ECHO_N "checking whether CGAL uses GMP... $ECHO_C" >&6
8462 +      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_GMP; then
8463 +        CGAL_USES_GMP=yes
8464 +        echo "$as_me:$LINENO: result: yes" >&5
8465 + echo "${ECHO_T}yes" >&6
8466 +        CGAL_DEFINES="-DCGAL_USE_GMP $CGAL_DEFINES"
8467 +      else
8468 +        echo "$as_me:$LINENO: result: no" >&5
8469 + echo "${ECHO_T}no" >&6
8470 +        CGAL_USES_GMP=no
8471 +      fi
8472 +
8473 +      CGAL_LIBS="$CGAL_LIBS -lm"
8474 +
8475 +      CGAL_CXXFLAGS="-ftemplate-depth-50"
8476 +
8477 +      echo "CGAL_USES_LEDA     $CGAL_USES_LEDA"
8478 +      echo "CGAL_USES_GMP      $CGAL_USES_GMP"
8479 +      echo "CGAL_INCLDIR       $CGAL_INCLDIR"
8480 +      echo "CGAL_LIBDIR        $CGAL_LIBDIR"
8481 +      echo "CGAL_DEFINES       $CGAL_DEFINES"
8482 +      echo "CGAL_CXXFLAGS      $CGAL_CXXFLAGS"
8483 +      echo "CGAL_LIBS          $CGAL_LIBS"
8484 +    fi
8485 +
8486 +    if test "x$cgal" = xyes; then
8487 +      save_LIBS="$LIBS"
8488 +      LIBS="$LIBS -L$CGAL_LIBDIR"
8489 +      if test "x$CGAL_USES_LEDA" = xyes; then
8490 +        LIBS="-lL $LIBS -L$LEDA_LIBDIR"
8491 +      fi
8492 +      # if test "x$CGAL_USES_GMP" = xyes; then
8493 +      #   LIBS="-lgmp $LIBS $GMP_LIBDIR"
8494 +      # fi
8495 +      echo "$as_me:$LINENO: checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL" >&5
8496 + echo $ECHO_N "checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL... $ECHO_C" >&6
8497 + save_CXXFLAGS_CHECK_CXX_LIB="$CXXFLAGS"
8498 + CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
8499 + save_LIBS_CHECK_CXX_LIB="$LIBS"
8500 + LIBS="-lCGAL  $LIBS"
8501 + cat >conftest.$ac_ext <<_ACEOF
8502 + /* confdefs.h.  */
8503 + _ACEOF
8504 + cat confdefs.h >>conftest.$ac_ext
8505 + cat >>conftest.$ac_ext <<_ACEOF
8506 + /* end confdefs.h.  */
8507 + #include <CGAL/Cartesian.h>
8508 + int
8509 + main ()
8510 + {
8511 + ::CGAL::Cartesian<int>::Point_2 P
8512 +  ;
8513 +  return 0;
8514 + }
8515 + _ACEOF
8516 + rm -f conftest.$ac_objext conftest$ac_exeext
8517 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8518 +  (eval $ac_link) 2>conftest.er1
8519 +  ac_status=$?
8520 +  grep -v '^ *+' conftest.er1 >conftest.err
8521 +  rm -f conftest.er1
8522 +  cat conftest.err >&5
8523 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8524 +  (exit $ac_status); } &&
8525 +         { ac_try='test -z "$ac_cxx_werror_flag"
8526 +                         || test ! -s conftest.err'
8527 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8528 +  (eval $ac_try) 2>&5
8529 +  ac_status=$?
8530 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8531 +  (exit $ac_status); }; } &&
8532 +         { ac_try='test -s conftest$ac_exeext'
8533 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8534 +  (eval $ac_try) 2>&5
8535 +  ac_status=$?
8536 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8537 +  (exit $ac_status); }; }; then
8538 +  echo "$as_me:$LINENO: result: yes" >&5
8539 + echo "${ECHO_T}yes" >&6
8540 + cgal=yes
8541 + else
8542 +  echo "$as_me: failed program was:" >&5
8543 + sed 's/^/| /' conftest.$ac_ext >&5
8544 +
8545 + echo "$as_me:$LINENO: result: no" >&5
8546 + echo "${ECHO_T}no" >&6
8547 + cgal=no
8548 + fi
8549 + rm -f conftest.err conftest.$ac_objext \
8550 +      conftest$ac_exeext conftest.$ac_ext
8551 + CXXFLAGS="$save_CXXFLAGS_CHECK_CXX_LIB"
8552 + LIBS="$save_LIBS_CHECK_CXX_LIB"
8553 +      LIBS="$save_LIBS"
8554 +    fi
8555 +
8556 +  fi
8557 +  ac_ext=c
8558 + ac_cpp='$CPP $CPPFLAGS'
8559 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8560 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8561 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
8562 +
8563 +
8564 + fi
8565 +
8566 + if test "x$cgal" = xyes; then
8567 +  USE_CGAL=yes
8568 +
8569 + cat >>confdefs.h <<\_ACEOF
8570 + #define HAVE_CGAL 1
8571 + _ACEOF
8572 +
8573 +
8574 + cat >>confdefs.h <<_ACEOF
8575 + #define CGAL_VERSION $CGAL_VERSION
8576 + _ACEOF
8577 +
8578 +  if ! echo $CGAL_VERSION | grep -q "^3.0"; then
8579 +    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8580 + echo "$as_me: WARNING: *****************************************************" >&2;}
8581 +    { echo "$as_me:$LINENO: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&5
8582 + echo "$as_me: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&2;}
8583 +    { echo "$as_me:$LINENO: WARNING: *** supported versions. It may still work though. ***" >&5
8584 + echo "$as_me: WARNING: *** supported versions. It may still work though. ***" >&2;}
8585 +    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8586 + echo "$as_me: WARNING: *****************************************************" >&2;}
8587 +  fi
8588 + else
8589 +   if test "x$cgal_makefile" != xno; then
8590 +    { echo "$as_me:$LINENO: WARNING: *********************************************************" >&5
8591 + echo "$as_me: WARNING: *********************************************************" >&2;}
8592 +    { echo "$as_me:$LINENO: WARNING: *** Warning: CGAL was not found.                      ***" >&5
8593 + echo "$as_me: WARNING: *** Warning: CGAL was not found.                      ***" >&2;}
8594 +    { echo "$as_me:$LINENO: WARNING: *** Run \"configure\" with the appropriate options.     ***" >&5
8595 + echo "$as_me: WARNING: *** Run \"configure\" with the appropriate options.     ***" >&2;}
8596 +    { echo "$as_me:$LINENO: WARNING: *** CGAL support will be disabled.                    ***" >&5
8597 + echo "$as_me: WARNING: *** CGAL support will be disabled.                    ***" >&2;}
8598 +    { echo "$as_me:$LINENO: WARNING: *********************************************************" >&5
8599 + echo "$as_me: WARNING: *********************************************************" >&2;}
8600 +  fi
8601 +  CGAL_INCLDIR=
8602 +  CGAL_LIBDIR=
8603 +  CGAL_RLIBDIR=
8604 +  CGAL_DEFINES=
8605 +  CGAL_CXXFLAGS=
8606 +  CGAL_LIBS=
8607   fi
8608 +
8609 +
8610 + CGAL_INC_DIR="${CGAL_INCLDIR} ${CGAL_INCLCONFDIR}"
8611 +
8612 + CGAL_LIB_DIR=${CGAL_LIBDIR}
8613 +
8614 + CGAL_RLIB_DIR=${CGAL_RLIBDIR}
8615 +
8616 +
8617  
8618  
8619  
# Line 8020 | Line 8819 | esac
8819  
8820            ac_config_headers="$ac_config_headers src/config.h"
8821  
8822 <                    ac_config_files="$ac_config_files make/Makefile src/utils/Makefile"
8822 >                                        ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile scripts/filepp"
8823  
8824  
8825   cat >confcache <<\_ACEOF
# Line 8553 | Line 9352 | do
9352    # Handling of arguments.
9353    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
9354    "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
9355 +  "src/applications/nanoRodBuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/nanoRodBuilder/Makefile" ;;
9356 +  "scripts/filepp" ) CONFIG_FILES="$CONFIG_FILES scripts/filepp" ;;
9357    "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
9358    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
9359    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
# Line 8689 | Line 9490 | s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
9490   s,@LEX@,$LEX,;t t
9491   s,@LEXLIB@,$LEXLIB,;t t
9492   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
9493 + s,@PERLINTERP@,$PERLINTERP,;t t
9494 + s,@PERL_SHEBANG@,$PERL_SHEBANG,;t t
9495   s,@AR@,$AR,;t t
9496   s,@PS@,$PS,;t t
9497   s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
# Line 8697 | Line 9500 | s,@USE_MPI@,$USE_MPI,;t t
9500   s,@MPI_LIB@,$MPI_LIB,;t t
9501   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
9502   s,@USE_MPI@,$USE_MPI,;t t
9503 + s,@CXXCPP@,$CXXCPP,;t t
9504 + s,@USE_CGAL@,$USE_CGAL,;t t
9505 + s,@CGAL_INC_DIR@,$CGAL_INC_DIR,;t t
9506 + s,@CGAL_LIB_DIR@,$CGAL_LIB_DIR,;t t
9507 + s,@CGAL_RLIB_DIR@,$CGAL_RLIB_DIR,;t t
9508 + s,@CGAL_DEFINES@,$CGAL_DEFINES,;t t
9509 + s,@CGAL_CXXFLAGS@,$CGAL_CXXFLAGS,;t t
9510 + s,@CGAL_LIBS@,$CGAL_LIBS,;t t
9511   s,@DOXYGEN@,$DOXYGEN,;t t
9512   s,@DOT@,$DOT,;t t
9513   s,@DOC@,$DOC,;t t
# Line 8946 | Line 9757 | s,@INSTALL@,$ac_INSTALL,;t t
9757      rm -f $tmp/out
9758    fi
9759  
9760 +  # Run the commands associated with the file.
9761 +  case $ac_file in
9762 +    make/Makefile ) chmod 0755 scripts/* ;;
9763 +    src/utils/Makefile ) chmod 0755 scripts/* ;;
9764 +    src/applications/nanoRodBuilder/Makefile ) chmod 0755 scripts/* ;;
9765 +    scripts/filepp ) chmod 0755 scripts/* ;;
9766 +  esac
9767   done
9768   _ACEOF
9769   cat >>$CONFIG_STATUS <<\_ACEOF

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines